summaryrefslogtreecommitdiffstats
path: root/debian/dkms.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/dkms.postinst')
-rw-r--r--debian/dkms.postinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/dkms.postinst b/debian/dkms.postinst
new file mode 100644
index 0000000..c5342da
--- /dev/null
+++ b/debian/dkms.postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+if dpkg --compare-versions "$2" lt-nl "3.0.3-3~" ; then
+ for d in /etc/dkms/template-dkms-mkdeb/debian /etc/dkms/template-dkms-mkdeb /etc/dkms/template-dkms-mkbmdeb/debian /etc/dkms/template-dkms-mkbmdeb
+ do
+ test ! -d $d || rmdir --ignore-fail-on-non-empty $d
+ done
+fi
+
+if dpkg --compare-versions "$2" lt-nl "3.0.10-8~" ; then
+ for f in /boot/*.old-dkms
+ do
+ test ! -f "$f" || rm -fv "$f"
+ done
+fi